Bug 628 - passwd bug
Summary: passwd bug
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd   
(Show other bugs)
Version: 5.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-28 01:25 UTC by mr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-29 20:54:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mr 1998-12-28 01:25:53 UTC
Hello, all!

Here's something to get your "panties in a bunch"--with a
root filesystem at 100+% used, with NO spare bytes to write
a one-block file (nevermind what your block size is):

0. login as root
1. change root password
2. see /etc/passwd become zero-bytes

Need I say more?  Can't /usr/bin/passwd do some sanity
checks on the bytes free on the root partition BEFORE it
goes changing passwords?

Just an idea.

--Michael Regoli
WinSite Group, Inc.
mr@winsite.com
www.winsite.com

Comment 1 David Lawrence 1998-12-29 20:54:59 UTC
I was unable to replicate this bug in the test lab. The passwd command
generates the error:

passwd: Critical error - immediate abort

but it does not zero out the passwd file. After space is freed it
works fine again.


Note You need to log in before you can comment on or make changes to this bug.